<?php include ('header.php');
echo "

";
$min_clik = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='c_day_min_clik' AND `howmany`='1'"),0,0);
echo "
<span class='top-bl-s-verh'>Конкурс рефералов</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
- За каждого реферала 1 руб. + %<br />
- Учитываются рефералы совершившие более $min_clik кликов и подтвердившие номер телефона.<br />
- Деньги зачисляются на основной счёт.<br />
- Начисления происходят каждый день после 24:00 по МСК.<br />
- Если кол-во рефералов одинаково, то деньги за 5-е место начисляются случайно.<br />
- Всего 5 призовых мест.
</td></tr>
</table>
";
echo "<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>";
echo "<th align='center' width='40px'></th>";
echo "<th align='center' width='200px'>Пользователь</th>";
echo "<th align='center' width='100px'>Количество</th>";
echo "<th align='center' width='100px'>Приз</th>";
echo "</thead><tbody>";
$on_off1 = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='comp_day' AND `howmany`='1'"),0,0);
if($on_off1 == 1){
$type = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='c_day_type' AND `howmany`='1'"),0,0);
$price = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='c_day_price' AND `howmany`='1'"),0,0);
$sql = mysql_query("SELECT `user`, COUNT(new_user) AS num FROM `b_comp_day` WHERE `type`='1' AND `new_user` IN (SELECT `username` FROM `b_users` WHERE `visits` >= '$min_clik' AND `cod`!=0) GROUP BY `user` ORDER BY `num` DESC LIMIT 10") OR DIE(mysql_error());
if(mysql_num_rows($sql) > 0){
$number = 0;
while($res = mysql_fetch_assoc($sql)){
$number++;
$style = NULL;
switch($number){
case 1:$style = "style='background:#A3F7B8;'";break;
case 2:$style = "style='background:#A3F7B8;'";break;
case 3:$style = "style='background:#A3F7B8;'";break;
case 4:$style = "style='background:#A3F7B8;'";break;
case 5:$style = "style='background:#A3F7B8;'";break;
}
// Подгрузка данных пользователя
$us = mysql_query("SELECT * FROM `b_users` WHERE `id`='".$res["user"]."'");
$use = mysql_fetch_assoc($us);
// Подгрузка данных пользователя
if($type == 1){
$procent = round($res["num"]*$price/100, 2);
$bonus = $res["num"]*$price+$procent;
}else{
$bonus = round($res["num"]*$price/100, 0);
}
echo "
<tr $style>
<td align='center'><center><img src='/avp/".$use["avatar"]."' border='0' width='45' height='45' alt='avatar' /></center></td>
<td>
<a class='usrname' style='border-bottom: none' href='/users-".$use["id"]."-wall.html' target='_blank' title='Перейти на стену реферала'><b>".$use["username"]."</b></a>
<br /><span class='desctext'>Рейтинг: <span style='color: #34A305'>".$use["reyting"]."
<br><span class='desctext'>ID: ".$res["user"]."</span></td>
<td align='center'><center>".$res["num"]." чел.</center></td>
<td align='center'><center>$bonus руб.</center></td>
</tr>";
}
}else{
echo "<tr><td colspan='4' align='center'><center>Нет учасников</center></td></tr>";
}
}else{
echo "<tr><td colspan='4' align='center'><center>Конкурс неактивен</center></td></tr>";
}
echo "</tbody></table></div>";

echo "
<span class='top-bl-s-verh'>Конкурс рекламодателей</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
- Учитывается реклама заказанная только с рекламного счёта.<br />
- Для участия нужно заказать минимум на 20 руб. единым платежём.<br />
- До 10% от суммы рекламной компании.<br />
- Деньги зачисляются на рекламный счёт.<br />
- Начисления происходят каждый день после 24:00 по МСК.
</td></tr>
</table>
";
echo "<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>";
echo "<th align='center' width='40px'></th>";
echo "<th align='center' width='200px'>Пользователь</th>";
echo "<th align='center' width='100px'>Количество</th>";
echo "<th align='center' width='100px'>Приз</th>";
echo "</thead><tbody>";

$min_sum = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='c_day_min_sum' AND `howmany`='2'"),0,0);
$sql = mysql_query("SELECT `user`, SUM( count ) AS `summ` FROM `b_comp_day` WHERE `user`!='1' AND `type`='2' AND `count` >= '$min_sum' GROUP BY `user` ORDER BY SUM( count ) DESC LIMIT 10") OR DIE(mysql_error());
if(mysql_num_rows($sql) > 0){
$number1 = 0;
while($res = mysql_fetch_assoc($sql)){
$number1++;
if($res["summ"] >= $min_sum AND $number1 <= 10){
$style1 = NULL;
switch($number1){
case 1:$kol = '10';$style1 = "style='background:#A3F7B8;'";break;
case 2:$kol = '5';$style1 = "style='background:#A3F7B8;'";break;
case 3:$kol = '3';$style1 = "style='background:#A3F7B8;'";break;
}
$count_sum = mysql_result(mysql_query("SELECT SUM( count ) FROM `b_comp_day` WHERE `type`='2' AND `user`='".$res["user"]."'"),0,0);
$bonus2 = $count_sum*$kol/100;
// Подгрузка данных пользователя
$us = mysql_query("SELECT * FROM `b_users` WHERE `id`='".$res["user"]."'");
$use = mysql_fetch_assoc($us);
// Подгрузка данных пользователя
echo "
<tr $style1>
<td align='center'><center><img src='/avp/".$use["avatar"]."' border='0' width='45' height='45' alt='avatar' /></center></td>
<td>
<a class='usrname' style='border-bottom: none' href='/users-".$use["id"]."-wall.html' target='_blank' title='Перейти на стену реферала'><b>".$use["username"]."</b></a>
<br /><span class='desctext'>Рейтинг: <span style='color: #34A305'>".$use["reyting"]."
<br><span class='desctext'>ID: ".$res["user"]."</span></td>
<td align='center'><center>$count_sum руб.</center></td>
<td align='center'><center>$bonus2 руб.</center></td>
</tr>
";
}
}
}else{
echo "<tr><td colspan='4' align='center'><center>Нет учасников</center></td></tr>";
}
echo "</tbody></table></div>";

echo "
<span class='top-bl-s-verh'>Конкурс на баллы</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
- Учитываются все клики совершённые на проекте.<br />
- Для участия нужно кликнуть минимум 10 ссылок.<br />
- До 20% от суммы ваших кликов.<br />
- Всего три призовых места.<br />
- Начисления происходят каждый день после 24:00 по МСК.
</td></tr>
</table>
";
echo "<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<thead>";
echo "<th align='center' width='40px'></th>";
echo "<th align='center' width='200px'>Пользователь</th>";
echo "<th align='center' width='100px'>Количество</th>";
echo "<th align='center' width='100px'>Приз</th>";
echo "</thead><tbody>";

$min_sum1 = mysql_result(mysql_query("SELECT `price` FROM `tb_config` WHERE `item`='c_day_min_sum' AND `howmany`='3'"),0,0);
$sql1 = mysql_query("SELECT `user`, SUM( count ) AS `summ` FROM `b_comp_day` WHERE `user`!='1' AND `type`='3' AND `count` >= '1' GROUP BY `user` ORDER BY SUM( count ) DESC LIMIT 10") OR DIE(mysql_error());
if(mysql_num_rows($sql1) > 0){
$number2 = 0;
while($res1 = mysql_fetch_assoc($sql1)){
$number2++;
if($res1["summ"] >= $min_sum1 AND $number2 <= 10){
$style2 = NULL;
switch($number2){
case 1:$kol1 = '20';$style2 = "style='background:#A3F7B8;'";break;
case 2:$kol1 = '15';$style2 = "style='background:#A3F7B8;'";break;
case 3:$kol1 = '10';$style2 = "style='background:#A3F7B8;'";break;
}
// Подгрузка данных пользователя
$us = mysql_query("SELECT * FROM `b_users` WHERE `id`='".$res1["user"]."'");
$use = mysql_fetch_assoc($us);
// Подгрузка данных пользователя
$count_sum1 = mysql_result(mysql_query("SELECT SUM( count ) FROM `b_comp_day` WHERE `type`='3' AND `user`='".$res1["user"]."'"),0,0);
$bonus3 = $count_sum1*$kol1/100;
echo "
<tr $style2>
<td align='center'><center><img src='/avp/".$use["avatar"]."' border='0' width='45' height='45' alt='avatar' /></center></td>
<td>
<a class='usrname' style='border-bottom: none' href='/users-".$use["id"]."-wall.html' target='_blank' title='Перейти на стену реферала'><b>".$use["username"]."</b></a>
<br /><span class='desctext'>Рейтинг: <span style='color: #34A305'>".$use["reyting"]."
<br><span class='desctext'>ID: ".$res1["user"]."</span></td>
<td align='center'><center>$count_sum1 Клик.</center></td>
<td align='center'><center>$bonus3 балл.</center></td>
</tr>";
}
}
}else{
echo "<tr><td colspan='4' align='center'><center>Нет учасников</center></td></tr>";
}
echo "</tbody></table></div>";

echo "</div>";
include ('footer.php');
?>